
Redmine - Feature #2728

Offline Support

2009-02-12 12:04 - Anonymous

Status: New Start date: 2009-02-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Maybe we could gain some speed by using the caching features on Gears. And offline mode would be awesome!

Related issues:

Related to Redmine - Feature #4516: Cache gravatars New 2010-01-04

History

#1 - 2009-02-12 19:15 - Eric Davis

This could be useful but (speaking for myself only) I wouldn't want to invest a large amount of time into a feature that depends on a third party.  If

there is a way to just drop in Gear support (like ow Gravatar drops in), I'd be open to the idea.

#2 - 2009-02-15 06:30 - Shane Simmons

+1

offline support would be awesome.

#3 - 2009-05-18 14:48 - Greg Green

Indeed offline support would be very nice, especially when redmine is used with a distributed version control system.

Even read-only offline support for issues would be helpful.

#4 - 2009-06-19 20:29 - Ludovic Aelbrecht

Maybe this issue has to be renamed (is renaming possible in Redmine?) from "Implement Google Gears Support" to something like "implement offline

support", as Gears is just one technology to support offline usage. Zimbra for instance use standard W3C features to work offline. A description of

technologies used for this (e.g. DOM Storage, offline/online events,...) and links to docs can be seen at for instance 

http://www.bluishcoder.co.nz/2007/02/offline-zimbra-with-firefox.html

This would be a very nice feature, but it probably requires quite some work, and Redmine has more pressing issues then this, I think. But just thought

I'd add the info, should anyone ever want to look into this.

#5 - 2009-06-26 06:27 - Eric Davis

- Subject changed from Implement Google Gears support to Offline Support

- Priority changed from Normal to Low

I agree, this would be a nice feature but I think there are more pressing issues first.  Though if someone wants to take this feature and create a patch,

I'd be happy to review it.

#6 - 2010-10-21 11:18 - xt zhang

+1

#7 - 2011-01-14 13:19 - Alfredo Bonilla

+1

#8 - 2011-02-03 22:03 - altef quatre

+1

#9 - 2011-03-10 09:28 - Deon Joubert

+1
#10 - 2011-03-15 09:21 - Kurt Miebach

+1

#11 - 2011-03-16 10:38 - Iker Celorrio

+1

#12 - 2011-04-23 09:16 - Paolo Montrasio

+1

I'd love to be able to access the wiki pages and the issues of some selected projects. Read-only access would be enough to start with.

Thinking about the implementation, I wonder how to go from the login page to the wiki and issue pages if I'm offline. I think we need to cache lots of

different data, html, css and javascript.
